Subject: RE: Last Call: 'Early IANA Allocation of Standards Track Codepoints' to BCP

From: [email-masked]
Date: Tue, 10 Aug 2004 11:56:13 -0500

Thomas,

> FWIW, I too agree that this document shouldn't deal with requests for
> non-WG documents. The issues are very different.

After hearing all the comments and the urgent requirements for
this draft, I agree that it would be wise to address the
non-WG requests in a separate document.

Lets deal with your comments on the ICMPv6 draft, in IPv6 WG
mailing list :)

Regards
Mukesh

> 
> > Look at section 6.1 of draft-ietf-ipngwg-icmp-v3-04.txt
> > that talks about similar things.
> 
> Looking at just this section, I think some additional clarifications
> are needed:
> 
> >    1. The IANA should allocate and permanently register new 
> ICMPv6 type
> >       codes from IETF RFC publication.  This is for all RFC types
> >       including standards track, informational, experimental status,
> >       etc.
> 
> With the IESG approval of draft-iesg-rfced-documents-03.txt, I think
> the above needs more clarification. Is it the intention that a
> document that is submitted to the RFC Editor as an individual
> submission should be granted ICMP code points? I hope not, as that
> potentially opens up the door for permanent IANA code point allocation
> for essentially unreviewed (or broken) purposes.
> 
> >    3. Requests for type value assignments from outside of the IETF
> >       should be sent to the IETF for review.  The general 
> guideline for
> >       this review is that the assignment should be made if there is
> >       public and open documentation of the protocol and if the
> >       assignment is not being used to circumvent an existing IETF
> >       protocol or work in progress.
> 
> Please read RFC 2434, where it talks about the motivation for having a
> "designated expert". The above is too vague about who makes the has
> final authority for making a decision. And what does it mean "to
> circumvent an existing IETF protocol or work in progress"? E.g., if a
> WG rejects something as "not a good idea", or no WG thinks that a
> proposal "is a good idea", what happens?
> 
> Thomas
> 

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion